#ifndef GITEA_API_H_
#define GITEA_API_H_

#include <curl/curl.h>

typedef struct {
	CURL* handle;
	char* instance;
} SESSION;

SESSION teaui_gitea_session(const char *instance);
void teaui_gitea_cleanup(SESSION s);

void teaui_gitea_auth_basic(SESSION s, const char *user, const char *pass);
void teaui_gitea_auth_token(SESSION s, const char *token);

const char* teaui_gitea_auth_generateToken(SESSION s, const char *username);

#endif /* ifndef GITEA_API_H_ */
